Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
fiddle.c File Reference
`#include <fiddle.h>`

Go to the source code of this file.

## Macros
#define | TYPE_SSIZE_T TYPE_INT
#define | TYPE_SIZE_T (-1*SIGNEDNESS_OF_SIZE_T*TYPE_SSIZE_T)
#define | TYPE_PTRDIFF_T TYPE_INT
#define | TYPE_INTPTR_T TYPE_INT
#define | TYPE_UINTPTR_T (-TYPE_INTPTR_T)

## Functions
void | Init_fiddle_pointer (void)
VALUE | rb_fiddle_free (VALUE self, VALUE addr)
VALUE | rb_fiddle_ptr2value (VALUE self, VALUE addr)
void | Init_fiddle_handle (void)
void | Init_fiddle (void)

## Variables
VALUE | mFiddle
VALUE | rb_eFiddleError

## Macro Definition Documentation

## ◆ TYPE_INTPTR_T

#define TYPE_INTPTR_T TYPE_INT

Definition at line 29 of file fiddle.c.

## ◆ TYPE_PTRDIFF_T

#define TYPE_PTRDIFF_T TYPE_INT

Definition at line 19 of file fiddle.c.

## ◆ TYPE_SIZE_T

#define TYPE_SIZE_T (-1*SIGNEDNESS_OF_SIZE_T*TYPE_SSIZE_T)

Definition at line 15 of file fiddle.c.

## ◆ TYPE_SSIZE_T

#define TYPE_SSIZE_T TYPE_INT

Definition at line 8 of file fiddle.c.

## ◆ TYPE_UINTPTR_T

#define TYPE_UINTPTR_T (-TYPE_INTPTR_T)

Definition at line 36 of file fiddle.c.

## Function Documentation

## ◆ Init_fiddle()

void Init_fiddle | ( | void |  | ) |

Definition at line 129 of file fiddle.c.

References ALIGN_CHAR, ALIGN_DOUBLE, ALIGN_FLOAT, ALIGN_INT, ALIGN_LONG, ALIGN_OF, ALIGN_SHORT, ALIGN_VOIDP, INT2NUM, LONG_LONG, mFiddle, PTR2NUM, Qfalse, Qtrue, rb_define_class_under(), rb_define_const(), rb_define_module(), rb_define_module_function(), rb_eFiddleError, rb_eStandardError, rb_str_new2, RUBY_PLATFORM, ruby_xfree(), TYPE_CHAR, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_INTPTR_T, TYPE_LONG, TYPE_PTRDIFF_T, TYPE_SHORT, TYPE_SIZE_T, TYPE_SSIZE_T, TYPE_UINTPTR_T, TYPE_VOID, and TYPE_VOIDP.

## ◆ Init_fiddle_handle()

void Init_fiddle_handle | ( | void |  | ) |

Definition at line 376 of file handle.c.

References mFiddle, rb_cHandle, rb_cObject, rb_define_alloc_func(), and rb_define_class_under().

## ◆ Init_fiddle_pointer()

void Init_fiddle_pointer | ( | void |  | ) |

Definition at line 676 of file pointer.c.

## ◆ rb_fiddle_free()

VALUE rb_fiddle_free | ( | VALUE | self,
|  | VALUE | addr
| ) |  |

Definition at line 77 of file fiddle.c.

References NUM2PTR, ptr, Qnil, and ruby_xfree().

## ◆ rb_fiddle_ptr2value()

VALUE rb_fiddle_ptr2value | ( | VALUE | self,
|  | VALUE | addr
| ) |  |

Definition at line 102 of file fiddle.c.

References NUM2PTR.

## Variable Documentation

## ◆ mFiddle

VALUE mFiddle

Definition at line 3 of file fiddle.c.

Referenced by generic_to_value(), Init_fiddle(), Init_fiddle_closure(), Init_fiddle_function(), and Init_fiddle_handle().

## ◆ rb_eFiddleError

VALUE rb_eFiddleError

Definition at line 4 of file fiddle.c.

Referenced by Init_fiddle().